/*
 * @Author: WuWei
 * @Date: 2020-07-24 14:28:05
 * @LastEditors: WuWei
 * @LastEditTime: 2020-07-24 14:31:29
 * @Description:
 */

class ReportClassifyModel {
  String? id;
  dynamic enterpriseCode;
  String? sortName;
  dynamic createAt;
  dynamic createBy;
  dynamic updateAt;
  dynamic updateBy;

  ReportClassifyModel({
    this.id,
    this.enterpriseCode,
    this.sortName,
    this.createAt,
    this.createBy,
    this.updateAt,
    this.updateBy,
  });

  ReportClassifyModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    id = map['id'];
    enterpriseCode = map['enterpriseCode'];
    sortName = map['sortName'];
    createAt = map['createAt'];
    createBy = map['createBy'];
    updateAt = map['updateAt'];
    updateBy = map['updateBy'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['id'] = this.id;
    json['enterpriseCode'] = this.enterpriseCode;
    json['sortName'] = this.sortName;
    json['createAt'] = this.createAt;
    json['createBy'] = this.createBy;
    json['updateAt'] = this.updateAt;
    json['updateBy'] = this.updateBy;

    return json;
  }
}
